org.apache.ignite.internal.processors.service

## Class ServiceClusterDeploymentResult

- java.lang.Object
- - org.apache.ignite.internal.processors.service.ServiceClusterDeploymentResult

All Implemented Interfaces:
  Serializable

    public class ServiceClusterDeploymentResult
    extends Object
    implements Serializable

Service cluster deployment result.

Contains coint of deployed service and deployment errors across the cluster mapped to nodes ids.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServiceClusterDeploymentResult(@NotNull IgniteUuid srvcId, @NotNull Map<UUID,ServiceSingleNodeDeploymentResult> results)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<UUID,ServiceSingleNodeDeploymentResult>` `results()`
`IgniteUuid` `serviceId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceClusterDeploymentResult

    public ServiceClusterDeploymentResult(@NotNull
                                          @NotNull IgniteUuid srvcId,
                                          @NotNull
                                          @NotNull Map<UUID,ServiceSingleNodeDeploymentResult> results)

Parameters:
  `srvcId` - Service id.
  `results` - Deployments results.

### Method Detail

#### serviceId

    public IgniteUuid serviceId()

Returns:
  Service id.

#### results

    public Map<UUID,ServiceSingleNodeDeploymentResult> results()

Returns:
  Per node deployments results.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023